Delete an unpublished version
Permanently removes a draft or validated version. Send the version revision in a strong If-Match header. A published version returns conflict.
DELETE/api/v2/developer/apps/{appId}/versions/{versionId}
Parameters #
| Property | Type | Location | Description |
|---|
appId | stringRequired | path | - |
versionId | stringRequired | path | - |
If-Match | stringRequired | header | - |
Request #
curl --request DELETE 'https://strave.gg/api/v2/developer/apps/APP_ID/versions/VERSION_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'
Response #
200Response for status 200
application/json400Response for status 400
application/json401Response for status 401
application/json403Response for status 403
application/json404Response for status 404
application/json409Response for status 409
application/json412Response for status 412
application/json428Response for status 428
application/json429Response for status 429
application/json500Response for status 500
application/json503Response for status 503
application/json| Property | Type | Description |
|---|
data | objectRequired | - |
└deleted | booleanRequired | - |